import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_siro_common_utils/flutter_siro_common_utils.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_siro_common_utils');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterSiroCommonUtils.platformVersion, '42');
  });
}
